OpenShot Audio Library | OpenShotAudio: juce::dsp::Compressor< SampleType > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::dsp::Compressor< SampleType > Class Template Reference

`#include <juce_Compressor.h>`

## Public Member Functions
| Compressor ()
void | setThreshold (SampleType newThreshold)
void | setRatio (SampleType newRatio)
void | setAttack (SampleType newAttack)
void | setRelease (SampleType newRelease)
void | prepare (const ProcessSpec &spec)
void | reset ()
template<typename ProcessContext >
void | process (const ProcessContext &context) noexcept
SampleType | processSample (int channel, SampleType inputValue)

## Detailed Description

template<typename SampleType>
class juce::dsp::Compressor< SampleType >

A simple compressor with standard threshold, ratio, attack time and release time controls.

Definition at line 36 of file juce_Compressor.h.

## Constructor & Destructor Documentation

## ◆ Compressor()

template<typename SampleType >

juce::dsp::Compressor< SampleType >::Compressor | ( |  | ) |

Constructor.

Definition at line 31 of file juce_Compressor.cpp.

## Member Function Documentation

## ◆ prepare()

template<typename SampleType >

void juce::dsp::Compressor< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the processor.

Definition at line 69 of file juce_Compressor.cpp.

## ◆ process()

template<typename SampleType >
template<typename ProcessContext >

void juce::dsp::Compressor< SampleType >::process | ( | const ProcessContext & | context | ) |
| inlinenoexcept

Processes the input and output samples supplied in the processing context.

Definition at line 66 of file juce_Compressor.h.

## ◆ processSample()

template<typename SampleType >

SampleType juce::dsp::Compressor< SampleType >::processSample | ( | int | channel,
|  | SampleType | inputValue )

Performs the processing operation on a single sample at a time.

Definition at line 90 of file juce_Compressor.cpp.

Referenced by juce::dsp::Compressor< SampleType >::process().

## ◆ reset()

template<typename SampleType >

void juce::dsp::Compressor< SampleType >::reset | ( |  | ) |

Resets the internal state variables of the processor.

Definition at line 83 of file juce_Compressor.cpp.

## ◆ setAttack()

template<typename SampleType >

void juce::dsp::Compressor< SampleType >::setAttack | ( | SampleType | newAttack | ) |

Sets the attack time in milliseconds of the compressor.

Definition at line 54 of file juce_Compressor.cpp.

## ◆ setRatio()

template<typename SampleType >

void juce::dsp::Compressor< SampleType >::setRatio | ( | SampleType | newRatio | ) |

Sets the ratio of the compressor (must be higher or equal to 1).

Definition at line 45 of file juce_Compressor.cpp.

## ◆ setRelease()

template<typename SampleType >

void juce::dsp::Compressor< SampleType >::setRelease | ( | SampleType | newRelease | ) |

Sets the release time in milliseconds of the compressor.

Definition at line 61 of file juce_Compressor.cpp.

## ◆ setThreshold()

template<typename SampleType >

void juce::dsp::Compressor< SampleType >::setThreshold | ( | SampleType | newThreshold | ) |

Sets the threshold in dB of the compressor.

Definition at line 38 of file juce_Compressor.cpp.

The documentation for this class was generated from the following files:

- juce_Compressor.h
- juce_Compressor.cpp